Page MenuHomeFreeBSD

Add ptrace operations to fetch and store VFP registers.
ClosedPublic

Authored by jhb on Sep 9 2017, 2:37 PM.

Details

Test Plan

This is part of a patch series to support VFP registers in gdb on armv7.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Sep 9 2017, 2:37 PM
mmel accepted this revision.Sep 10 2017, 5:36 AM
This revision is now accepted and ready to land.Sep 10 2017, 5:36 AM
andrew added a subscriber: andrew.Sep 12 2017, 7:51 AM
andrew added inline comments.
sys/arm/include/ptrace.h
10 ↗(On Diff #32850)

Where is this used?

jhb added inline comments.Sep 12 2017, 7:02 PM
sys/arm/include/ptrace.h
10 ↗(On Diff #32850)

In userland consumers of the API (gcore and gdb).

kib accepted this revision.Sep 14 2017, 2:35 PM
jhb updated this revision to Diff 33070.Sep 14 2017, 2:58 PM
  • Add explicit padding in vfpreg.
This revision now requires review to proceed.Sep 14 2017, 2:58 PM
This revision was automatically updated to reflect the committed changes.